function reg_imgs = regularize_and_interpolate(imgs,weights,RegOps)

	len_R=length(RegOps);
	sz_W=size(weights);
	sz_I=size(imgs);

	assert(sz_W(2) == len_R,   'Reg. operators and # of weights mismatch.');
	assert(sz_W(1) == sz_I(1), '# of images and # of weights mismatch.');


	reg_imgs=zeros(size(imgs));
	for j=1:sz_I(1),
	%   thres=sum(weights(j,:));
	%   if thres > 0
		f=zeros(1,sz_I(2));
		for r=1:len_R,
		   f=f+weights(j,r)*imgs(j,:)*RegOps{r};
		end
		reg_imgs(j,:)=f;
	%   else,
	%	reg_imgs(j,:)=imgs(j,:);
	%   end;
	end

